# $Revision: 1.1 $, $Date: 2002/08/01 21:12:56 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RIPEMD160
Summary:	Crypt::RIPEMD160 Perl module - RIPEMD160 message digest algorithm
Summary(pl):	Modu Perla Crypt::RIPEMD160 - algorytm skrtu RIPEMD160
Name:		perl-Crypt-RIPEMD160
Version:	0.04
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::RIPEMD160 module allows you to use the RIPEMD160 Message
Digest algorithm from within Perl programs. RIPEMD-160 is a 160-bit
cryptographic hash function, designed by Hans Dobbertin, Antoon
Bosselaers, and Bart Preneel. It is intended to be used as a secure
replacement for the 128-bit hash functions MD4, MD5, and RIPEMD.

%description -l pl
Modu Crypt::RIPEMD160 pozwala na uywanie algorytmu skrtu RIPEMD160
z poziomu programw w Perlu. RIPEMD-160 jest 160-bitow
kryptograficzn funkcj mieszajc, opracowan przez Hansa Dobbertina,
Antoona Bosselaersa i Barta Preneela. Ma by bezpiecznym zamiennikiem
128-bitowych funkcji mieszajcych MD4, MD5 i RIPEMD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rmd160/doc/*.html
%{perl_sitearch}/Crypt/RIPEMD160.pm
%{perl_sitearch}/Crypt/RIPEMD160
%dir %{perl_sitearch}/auto/Crypt/RIPEMD160
%{perl_sitearch}/auto/Crypt/RIPEMD160/autosplit.ix
%{perl_sitearch}/auto/Crypt/RIPEMD160/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/RIPEMD160/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-RIPEMD160.spec,v $
Revision 1.1  2002/08/01 21:12:56  ankry
- spec renamed
- adde bcond for "make test"
- release 2

Revision 1.1  2002/07/30 22:07:54  qboosh
- new
